export const ajax = async (url, options) => {
    try {
        const r = await fetch(url, options)
        if (r.status >= 400) {
            throw Error(`request error with status ${r.status}`)
        }
        return await r.json()
    } catch (e) {
        console.log(e)
        return {
            succeed: false,
            message: e,
            data: null
        }
    }
}